Module java.compiler
Package javax.lang.model.util

# Class AbstractElementVisitor8<R,​P>

java.lang.Object
javax.lang.model.util.AbstractElementVisitor6<R,​P>
javax.lang.model.util.AbstractElementVisitor7<R,​P>
javax.lang.model.util.AbstractElementVisitor8<R,​P>

Type Parameters:
  `R` - the return type of this visitor's methods. Use `Void` for visitors that do not need to return results.
  `P` - the type of the additional parameter to this visitor's methods. Use `Void` for visitors that do not need an additional parameter.

All Implemented Interfaces:
  `ElementVisitor<R,​P>`

Direct Known Subclasses:
  `AbstractElementVisitor9`

@SupportedSourceVersion(RELEASE_8) public abstract class AbstractElementVisitor8<R,​P> extends AbstractElementVisitor7<R,​P>
A skeletal visitor of program elements with default behavior appropriate for the `RELEASE_8` source version.

Since:
  1.8
See Also:
  Compatibility note for subclasses, `AbstractElementVisitor6`, `AbstractElementVisitor7`, `AbstractElementVisitor9`, `AbstractElementVisitor14`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractElementVisitor8()`
Constructor for concrete subclasses to call.

## Method Summary

### Methods declared in class javax.lang.model.util.AbstractElementVisitor6

`visit, visit, visitModule, visitRecordComponent, visitUnknown`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface javax.lang.model.element.ElementVisitor

`visitExecutable, visitPackage, visitType, visitTypeParameter, visitVariable`

## Constructor Details

### AbstractElementVisitor8

protected AbstractElementVisitor8()
Constructor for concrete subclasses to call.